Bug 1541785 - Fedora does not install a ".desktop" file for htop.
Summary: Fedora does not install a ".desktop" file for htop.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: htop
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-04 18:22 UTC by Hugo
Modified: 2018-03-22 11:02 UTC (History)
6 users (show)

Fixed In Version: htop-2.1.0-1.fc27 htop-2.1.0-1.fc26 htop-2.1.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-20 17:16:18 UTC
Type: Bug


Attachments (Terms of Use)

Description Hugo 2018-02-04 18:22:36 UTC
Description of problem:
-----------------------

The Fedora package for htop does not install a desktop file to /usr/share/applications.

I think that this is an oversight, since Fedora does install htop's icon to /usr/share/pixmaps.png, which currently isn't being used anywhere.


How reproducible:
-----------------

Always


Steps to Reproduce:
-------------------
1. Try to launch htop via the desktop's main menu or application launcher


Actual results:
---------------

htop is not listed as an available application

Expected results:
-----------------

htop should be listed as an available application


Additional info:
----------------

Upstream htop already provides a desktop file and htop's `make install` does install it to the appropriate place. Perhaps all that we need to do is to update Fedora's spec file accordingly.

Comment 1 Mukundan Ragavan 2018-02-04 18:29:56 UTC
I will fix this and push an update.

Thanks for the report.

Comment 2 Mukundan Ragavan 2018-02-04 18:52:37 UTC
As it turns out, this is not an oversight but it was decided to remove the .desktop file for terminal applications - I am guessing by someone at that time.

https://bugzilla.redhat.com/show_bug.cgi?id=689028

Comment 3 Hugo 2018-02-04 21:07:40 UTC
Well, that is unfortunate. Nowadays menu clutter is less of an issue because the desktop environments rely more on search and not having a desktop file or appstream metadata makes these console applications not show up inside GNOME Software (for example, right now GNOME Software can find Neovim but not htop or vim itself).

Anyway, if the intent really is to not distribute a desktop file I reckon that the spec file shouldn't include the icon file and there should not be a build dependency for desktop-file-utils then.

Comment 4 Mukundan Ragavan 2018-02-05 01:34:14 UTC
(In reply to Hugo from comment #3)
> 
> Anyway, if the intent really is to not distribute a desktop file I reckon
> that the spec file shouldn't include the icon file and there should not be a
> build dependency for desktop-file-utils then.

I am inclined to add the desktop file back. If somebody complains, I can remove this back. 

Yes, htop is a terminal application but it is convenient to have a desktop file.

Comment 5 Fedora Update System 2018-02-15 00:22:36 UTC
htop-2.1.0-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e6e002cdbf

Comment 6 Fedora Update System 2018-02-15 00:22:45 UTC
htop-2.1.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-04b41a052b

Comment 7 Fedora Update System 2018-02-15 00:22:51 UTC
htop-2.1.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e6eca7cd53

Comment 8 Fedora Update System 2018-02-15 15:01:48 UTC
htop-2.1.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-04b41a052b

Comment 9 Fedora Update System 2018-02-15 15:28:44 UTC
htop-2.1.0-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e6e002cdbf

Comment 10 Fedora Update System 2018-02-15 17:15:17 UTC
htop-2.1.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-e6eca7cd53

Comment 11 Fedora Update System 2018-02-20 17:16:18 UTC
htop-2.1.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-02-27 16:55:01 UTC
htop-2.1.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-03-06 17:30:29 UTC
htop-2.1.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Kadir 2018-03-21 13:01:25 UTC
I noticed that the .desktop file depends on xterm. I don't have xterm so I can't launch htop from the Applications. I use Tilix. 

Is it possible to select your own terminal or let the .desktop file for htop choose your default terminal?

Comment 15 Mukundan Ragavan 2018-03-21 22:25:38 UTC
(In reply to Kadir from comment #14)
> I noticed that the .desktop file depends on xterm. I don't have xterm so I
> can't launch htop from the Applications. I use Tilix. 
> 
> Is it possible to select your own terminal or let the .desktop file for htop
> choose your default terminal?

I am not sure that's true. I think it's probably a case of setting your default terminal emulator in your DE/WM.

I do not have xterm installed either (I use xfce and xfce4-terminal) but I can launch it just fine.

$ rpm -qa | grep -i term
perl-TermReadKey-2.37-5.fc27.x86_64
lua-term-0.07-1.fc25.x86_64
perl-Term-ANSIColor-4.06-395.fc27.noarch
perl-Term-Cap-1.17-394.fc27.noarch
xfce4-terminal-0.8.7.2-3.fc27.x86_64

Comment 16 Kadir 2018-03-22 11:02:37 UTC
Ok, thanks, that might be the case. 

However I googled a bit and could not find a way to change the default terminal in recent Gnome. There is also no dconf setting afaik.

I don't have gnome-terminal or xterm. I use Tilix exclusively.


Note You need to log in before you can comment on or make changes to this bug.